Page MenuHomePhabricator

move restbase-mod-table-cassandra tests and spec into a separate module
Closed, ResolvedPublic

Description

The tests in restbase-mod-table-cassandra aren't specific to Cassandra, they are applicable to any interface-matching table storage backend. T88191 is an example of such a backend, and could benefit from these tests being reusable.

Steps (WIP)

  1. The tests, and table spec, should be moved from restbase-mod-table-cassandra into a new npm module (restbase-mod-table-spec).
  2. Add a restbase-mod-table-cassandra dependency on restbase-mod-table-spec, and import/load spec from there
  3. Move dbutils#testTidFromDate to restbase-mod-table-spec
  4. Move the final two tests in test/revision_policies.js into test/dbutils.js (dependencies on dbutil#validateAndNormalizeRevPolicy and dbutil#validateAndNormalizeSchema).
  5. Start up a service exposing the module, using service-runner and RESTBase (with a custom config.yaml for the implementation)
  6. Run imported tests from restbase-mod-table-cassandra against this server

Event Timeline

Eevans created this task.Jun 22 2015, 7:01 PM
Eevans raised the priority of this task from to Needs Triage.
Eevans updated the task description. (Show Details)
Eevans added a subscriber: Eevans.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 22 2015, 7:01 PM
Eevans set Security to None.
Eevans added subscribers: GWicke, mobrovac.
GWicke updated the task description. (Show Details)Jun 22 2015, 7:14 PM
GWicke updated the task description. (Show Details)Jun 22 2015, 7:17 PM
GWicke updated the task description. (Show Details)
Eevans updated the task description. (Show Details)Jun 22 2015, 8:41 PM
GWicke assigned this task to Eevans.Jun 29 2015, 5:30 PM
GWicke moved this task from Backlog to In progress on the RESTBase board.
Eevans reassigned this task from Eevans to Pchelolo.Jul 20 2015, 4:45 PM
Pchelolo closed this task as Resolved.Jul 20 2015, 4:49 PM